<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="81f99a04-35ff-49d0-a7a5-4ed795a161d6" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/src/main/java/Arraz.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/Arraz.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/test/java/ArrazTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/test/java/ArrazTest.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="370499935">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.open.time.20" value="1" />
          <entry key="project.opened" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JAVA" value="6" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="5929" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <splitter split-orientation="horizontal" split-proportion="0.5280499">
      <split-first>
        <leaf>
          <file pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/src/main/java/Arraz.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="162">
                  <caret line="153" column="22" selection-start-line="153" selection-start-column="22" selection-end-line="153" selection-end-column="22" />
                  <folding>
                    <element signature="e#1659#1668#0" expanded="true" />
                    <element signature="e#2355#2364#0" expanded="true" />
                    <element signature="e#2800#2801#0" expanded="true" />
                    <element signature="e#2828#2829#0" expanded="true" />
                    <element signature="e#1375#1376#0" expanded="true" />
                    <element signature="e#1410#1411#0" expanded="true" />
                    <element signature="e#1454#1455#0" expanded="true" />
                    <element signature="e#1490#1491#0" expanded="true" />
                    <element signature="e#3458#3459#0" expanded="true" />
                    <element signature="e#3492#3493#0" expanded="true" />
                    <element signature="e#3523#3524#0" expanded="true" />
                    <element signature="e#3557#3558#0" expanded="true" />
                    <element signature="e#3596#3597#0" expanded="true" />
                    <element signature="e#3634#3635#0" expanded="true" />
                    <element signature="e#3673#3674#0" expanded="true" />
                    <element signature="e#3711#3712#0" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-first>
      <split-second>
        <leaf>
          <file pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/src/test/java/ArrazTest.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="352">
                  <caret line="450" column="25" selection-start-line="450" selection-start-column="25" selection-end-line="450" selection-end-column="25" />
                  <folding>
                    <element signature="imports" expanded="true" />
                    <element signature="e#7644#7653#0" expanded="true" />
                    <element signature="e#8053#8062#0" expanded="true" />
                    <element signature="e#8057#8066#0" expanded="true" />
                    <element signature="e#8728#8737#0" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-second>
    </splitter>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/Arraz.java" />
        <option value="$PROJECT_DIR$/src/test/java/ArrazTest.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-298" />
    <option name="y" value="-995" />
    <option name="width" value="1845" />
    <option name="height" value="940" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1544193603852" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/pom.xml" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.ArrazTest.test2AverageArrayWithoutMaxMin">
    <configuration name="ArrazTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.test2AverageArrayWithoutMaxMin" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="test2AverageArrayWithoutMaxMin" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.test2Check2ArraysForEqual" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="test2Check2ArraysForEqual" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.testAverageArrayWithoutMaxMin" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="testAverageArrayWithoutMaxMin" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.testCheck2ArraysForEqual" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="testCheck2ArraysForEqual" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="JUnit.ArrazTest.testCheck2ArraysForEqual" />
      <item itemvalue="JUnit.ArrazTest.test2Check2ArraysForEqual" />
      <item itemvalue="JUnit.ArrazTest" />
      <item itemvalue="JUnit.ArrazTest.testAverageArrayWithoutMaxMin" />
      <item itemvalue="JUnit.ArrazTest.test2AverageArrayWithoutMaxMin" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.ArrazTest.test2AverageArrayWithoutMaxMin" />
        <item itemvalue="JUnit.ArrazTest.testAverageArrayWithoutMaxMin" />
        <item itemvalue="JUnit.ArrazTest" />
        <item itemvalue="JUnit.ArrazTest.test2Check2ArraysForEqual" />
        <item itemvalue="JUnit.ArrazTest.testCheck2ArraysForEqual" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="81f99a04-35ff-49d0-a7a5-4ed795a161d6" name="Default Changelist" comment="" />
      <created>1544046001151</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1544046001151</updated>
      <workItem from="1544046022231" duration="29127000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="ArrazTest_testFind2ndLargestValueFromArray - 2018.12.06 at 22h 40m 59s.xml">
      <configuration name="ArrazTest.testFind2ndLargestValueFromArray" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_testFind2ndLargestValueFromArray - 2018.12.06 at 22h 41m 16s.xml">
      <configuration name="ArrazTest.testFind2ndLargestValueFromArray" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_test2Find2ndLargestValueFromArray - 2018.12.06 at 22h 41m 20s.xml">
      <configuration name="ArrazTest.test2Find2ndLargestValueFromArray" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_testMakeMeAnArrayFromArrayList - 2018.12.06 at 23h 40m 53s.xml">
      <configuration name="ArrazTest.testMakeMeAnArrayFromArrayList" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_test2MakeMeAnArrayListFromArray - 2018.12.06 at 23h 41m 42s.xml">
      <configuration name="ArrazTest.test2MakeMeAnArrayListFromArray" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_test2MakeMeAnArrayFromArrayList - 2018.12.06 at 23h 42m 13s.xml">
      <configuration name="ArrazTest.test2MakeMeAnArrayFromArrayList" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_testCheck2ArraysForEqual - 2018.12.06 at 23h 46m 47s.xml">
      <configuration name="ArrazTest.testCheck2ArraysForEqual" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_test2Check2ArraysForEqual - 2018.12.06 at 23h 47m 25s.xml">
      <configuration name="ArrazTest.test2Check2ArraysForEqual" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest - 2018.12.07 at 00h 21m 26s.xml">
      <configuration name="ArrazTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_testAverageArrayWithoutMaxMin - 2018.12.07 at 09h 37m 22s.xml">
      <configuration name="ArrazTest.testAverageArrayWithoutMaxMin" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="29127000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-298" y="-995" width="1845" height="940" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info id="Image Layers" />
      <window_info id="Designer" />
      <window_info id="UI Designer" />
      <window_info id="Capture Tool" />
      <window_info id="Favorites" side_tool="true" />
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.06378259" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Messages" weight="0.32484847" />
      <window_info anchor="bottom" id="Database Changes" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" weight="0.29939395" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info active="true" anchor="bottom" id="Run" order="2" visible="true" weight="0.40727273" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39810428" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Palette" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Palette&#9;" />
      <window_info anchor="right" id="Database" />
      <window_info anchor="right" id="Maven Projects" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_181.jdk/Contents/Home/src.zip!/java/io/PrintStream.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="111">
          <caret line="596" selection-start-line="596" selection-end-line="596" />
          <folding>
            <element signature="e#20871#20872#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_181.jdk/Contents/Home/src.zip!/java/lang/String.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="118">
          <caret line="3098" selection-start-line="3098" selection-end-line="3098" />
          <folding>
            <element signature="e#121769#121770#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_181.jdk/Contents/Home/src.zip!/java/lang/Integer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="148">
          <caret line="399" selection-start-line="399" selection-end-line="399" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Arraz.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="162">
          <caret line="153" column="22" selection-start-line="153" selection-start-column="22" selection-end-line="153" selection-end-column="22" />
          <folding>
            <element signature="e#1659#1668#0" expanded="true" />
            <element signature="e#2355#2364#0" expanded="true" />
            <element signature="e#2800#2801#0" expanded="true" />
            <element signature="e#2828#2829#0" expanded="true" />
            <element signature="e#1375#1376#0" expanded="true" />
            <element signature="e#1410#1411#0" expanded="true" />
            <element signature="e#1454#1455#0" expanded="true" />
            <element signature="e#1490#1491#0" expanded="true" />
            <element signature="e#3458#3459#0" expanded="true" />
            <element signature="e#3492#3493#0" expanded="true" />
            <element signature="e#3523#3524#0" expanded="true" />
            <element signature="e#3557#3558#0" expanded="true" />
            <element signature="e#3596#3597#0" expanded="true" />
            <element signature="e#3634#3635#0" expanded="true" />
            <element signature="e#3673#3674#0" expanded="true" />
            <element signature="e#3711#3712#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/ArrazTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="450" column="25" selection-start-line="450" selection-start-column="25" selection-end-line="450" selection-end-column="25" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#7644#7653#0" expanded="true" />
            <element signature="e#8053#8062#0" expanded="true" />
            <element signature="e#8057#8066#0" expanded="true" />
            <element signature="e#8728#8737#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>